using System;

namespace Syntriax.Modules.Movement.Config
{
    [Serializable]
    public struct MovementDefinition
    {
        public string Name;
        public string DefaultVariableMovement;
        public MovementConfig[] MovementConfigs;
        public string[] MonoBehaviours;

        public MovementDefinition(string name, string defaultVariableMovement, MovementConfig[] movementConfigs, string[] monoBehaviours)
        {
            Name = name;
            DefaultVariableMovement = defaultVariableMovement;
            MovementConfigs = movementConfigs;
            MonoBehaviours = monoBehaviours;
        }
    }
}
