using UnityEngine;

namespace Syntriax.Modules.Movement
{
    public static class IMovementExtensions
    {
        public static void Move(this IMovement movement, Vector2 moveVector)
            => movement.Move(moveVector.x, moveVector.y);

        public static void Move(this IMovement movement, Vector3 moveVector)
            => movement.Move(moveVector.x, moveVector.y, moveVector.z);
    }
}
