using UnityEngine.Events;
using UnityEngine.InputSystem;

namespace Syntriax.Modules.Movement.VariableMovement
{
    public interface IVariableMovementWithState : IVariableMovement
    {
        bool Enabled { get; set; }
        UnityEvent<bool> OnToggleStateChanged { get; }
        IInputActionCollection InputCollection { set; }
    }
}
