using System;

namespace Syntriax.Modules.Movement.VariableMovement
{
    [Serializable]
    public struct VMCollection
    {
        public string Name;
        public VMAsset DefaultAsset;
        public VMAsset[] VMAssets;

        public VMCollection(string name, VMAsset defaultAsset, VMAsset[] vMAssets)
        {
            Name = name;
            DefaultAsset = defaultAsset;
            VMAssets = vMAssets;
        }
    }
}
