namespace Syntriax.Modules.Movement
{
    public abstract class OneWay2DMovementBase : TwoDimensionalMovementBase
    {
        protected abstract float moveValue { get; set; }

        public override void Move(float x = 0, float y = 0, float z = 0)
            => moveValue = x * BaseSpeed * MovementMultiplier;
    }
}
