using UnityEngine.Events;

namespace Syntriax.Modules.Movement
{
    public interface IMovement
    {
        float BaseSpeed { get; set; }
        float MovementMultiplier { get; set; }

        bool CanTakeOver { get; }

        UnityEvent<bool> OnTakeOverStateChanged { get; }

        void Move(float x = 0f, float y = 0f, float z = 0f);
        void ApplyMovement();
    }
}
