using System.Collections.Generic;
using UnityEngine.Events;

namespace Syntriax.Modules.Movement
{
    public interface IMovementController
    {
        IMovement ActiveMovement { get; }
        List<IMovement> Movements { get; }

        UnityEvent<IMovement> OnMovementDeactivated { get; }
        UnityEvent<IMovement> OnMovementActivated { get; }

        void RecacheMovements();
    }
}
